Package org.optaplanner.core.impl.score.director.stream

## Class BavetConstraintStreamScoreDirectorFactory<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory<Solution_,​Score_>
  - - org.optaplanner.core.impl.score.director.stream.AbstractConstraintStreamScoreDirectorFactory<Solution_,​Score_>
    - - org.optaplanner.core.impl.score.director.stream.BavetConstraintStreamScoreDirectorFactory<Solution_,​Score_>

- All Implemented Interfaces:
    `InnerScoreDirectorFactory<Solution_,​Score_>`, `ScoreDirectorFactory<Solution_>`

      public final class BavetConstraintStreamScoreDirectorFactory<Solution_,​Score_ extends Score<Score_>>
      extends AbstractConstraintStreamScoreDirectorFactory<Solution_,​Score_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory

      `assertClonedSolution, assertionScoreDirectorFactory, initializingScoreTrend, logger, solutionDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetConstraintStreamScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor, ConstraintProvider constraintProvider)` |

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.score.director.stream.AbstractConstraintStreamScoreDirectorFactory

      `buildScoreDirector, getConstraints, getConstraintSessionFactory, newConstraintStreamingSession`

    - ### Methods inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory

      `assertScoreFromScratch, buildScoreDirector, getAssertionScoreDirectorFactory, getInitializingScoreTrend, getScoreDefinition, getSolutionDescriptor, isAssertClonedSolution, setAssertClonedSolution, setAssertionScoreDirectorFactory, setInitializingScoreTrend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetConstraintStreamScoreDirectorFactory

          public BavetConstraintStreamScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor,
                                                           ConstraintProvider constraintProvider)